export declare const FilterBar: import('react').ForwardRefExoticComponent<import('react').HTMLAttributes<HTMLDivElement> & {
    searchValue?: string;
    onSearchChange?: (value: string) => void;
    onClearSearch?: () => void;
    searchPlaceholder?: string;
    searchInput?: import('react').ReactNode;
    filterTrigger?: import('react').ReactNode;
    onOpenFilters?: () => void;
    activeFiltersCount?: number;
    filterChips?: import('./FilterBar.types').FilterChipItem[];
    onClearAllFilters?: () => void;
    primaryAction?: import('react').ReactNode;
    secondaryActions?: import('react').ReactNode;
    sticky?: boolean;
} & import('react').RefAttributes<HTMLDivElement>>;
